Bug 246295 - Anaconda won't install grub on sda
Anaconda won't install grub on sda
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
7
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-29 16:55 EDT by Joe Bayes
Modified: 2008-06-03 17:15 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-03 17:15:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Bayes 2007-06-29 16:55:06 EDT
Summary: 

On the first Anaconda screen, I tell it to install grub on sda. On the third
screen, it gives me the option to (1) install grub on sdb, or (2) do not install
grub. But I want to install grub on sda!

Details:

I have a working Fedora 6 on a PATA disk, as the master device on IDE0.

I also have a SATA drive on SATA1, onto which I am trying to install a fresh
Fedora 7. I instruct my BIOS to boot first from USB, second from my SATA disk,
and third from my PATA disk. 

I boot off my USB DVD and tell anaconda to look on sdb6 (my FC6 /home dir) for
the installation images.

On the "which disks do you want to use for this installation?" screen, I leave
sda checked, but I uncheck sdb (since I don't want it to touch my FC6
installation). 

On the next screen, I make sda1 /boot, sda2 is a LVM device containing /, /home,
and swap.

On the next screen, anaconda displays 2 radio buttons. The first one says to
install grub on sdb. The second says to not install grub at all. 

But I already told it to install grub on sda!!!

If I hit "back" twice, the initial dialog has sdb selected again. But then if I
re-select sda, and re-partition sda again, it still only gives me the choices of
sdb or not at all. 

How reproducible:
I've done this six times so far, and it's failed every time. 

Actual results:
Anaconda gives me the option of installing grub on sdb, or not at all.

Expected results:
Anaconda should give me the option of installing grub on sda.
Comment 1 Bug Zapper 2008-05-14 09:20:12 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Joe Bayes 2008-05-16 18:11:03 EDT
I no longer have access to the hardware that caused the bug (the mixed sata and
pata disk drives), so I can't test it against Fedora 9. Hopefully if someone
else has the same setup they can give it a test.

Note You need to log in before you can comment on or make changes to this bug.